Page MenuHomePhabricator

efl/gesture: expose 'continues' as a public property for recognizers
ClosedPublic

Authored by zmike on Jan 24 2020, 11:16 AM.

Details

Summary

we still access this using private data in the in-tree recognizers, but
now it's also accessible normally to custom recognizers

ref T8503

Depends on D11174

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Jan 24 2020, 11:16 AM
zmike updated this revision to Diff 28464.Jan 24 2020, 11:18 AM
zmike edited the summary of this revision. (Show Details)
Harbormaster completed remote builds in B15624: Diff 28464.
zmike updated this revision to Diff 28471.Jan 24 2020, 11:22 AM
zmike edited the summary of this revision. (Show Details)

fix ticket ref

segfaultxavi added inline comments.Jan 27 2020, 2:03 AM
src/lib/evas/gesture/efl_canvas_gesture_recognizer.eo
56

The proper doc refs should be @Efl.Canvas.Gesture_Recognizer_Result.finish and @Efl.Canvas.Gesture_Recognizer_Result.cancel

zmike updated this revision to Diff 28551.Jan 27 2020, 11:16 AM

doc updates

CHAN accepted this revision.Jan 28 2020, 3:22 AM

Looks good to me.

This revision is now accepted and ready to land.Jan 28 2020, 3:22 AM
zmike updated this revision to Diff 28678.Jan 29 2020, 11:22 AM

rebase/rework

Closed by commit rEFL159b73c0d8e7: efl/gesture: expose 'continues' as a public property for recognizers (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyFeb 5 2020, 1:18 AM
This revision was automatically updated to reflect the committed changes.